<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Task3</title>
</head>
<body>
    <form>
        <table border="0">
            <tr>
                <th colspan="2">
                    <a href="#">Apple</a> 
                    <a href="#">Toshiba</a> 
                    <a href="#">Lenovo</a> 
                    <a href="#">Dell</a> 
                    <a href="#">Asus</a>
                    <a href="#">Hacer</a> 
                    <a href="#">HP</a>
                </th>
            </tr>
            <tr>
                <td>
                    <table border="1">
                        <tr>
                            <td>
                                <table border="0" cellpadding="10px">
                                    <tr>
                                        <td>
                                            <fieldset>
                                                <legend>Apple Macbook
                                                Air</legend>
                                                <table cellpadding="5px">
                                                    <tr>
                                                        <td rowspan="2">
                                                        <img alt="mac" src=
                                                        "mac.jpeg" width=
                                                        "70px"></td>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>1300 USD</td>
                                                        <td>Intel Core i5</td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </td>
                                        <td>
                                            <fieldset>
                                                <legend>Apple Macbook
                                                Air</legend>
                                                <table cellpadding="5px">
                                                    <tr>
                                                        <td rowspan="2">
                                                        <img alt="mac" src=
                                                        "mac.jpeg" width=
                                                        "70px"></td>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>1300 USD</td>
                                                        <td>Intel Core i5</td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <fieldset>
                                                <legend>Apple Macbook
                                                Air</legend>
                                                <table cellpadding="5px">
                                                    <tr>
                                                        <td rowspan="2">
                                                        <img alt="mac" src=
                                                        "mac.jpeg" width=
                                                        "70px"></td>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>1300 USD</td>
                                                        <td>Intel Core i5</td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </td>
                                        <td>
                                            <fieldset>
                                                <legend>Apple Macbook
                                                Air</legend>
                                                <table cellpadding="5px">
                                                    <tr>
                                                        <td rowspan="2">
                                                        <img alt="mac" src=
                                                        "mac.jpeg" width=
                                                        "70px"></td>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>1300 USD</td>
                                                        <td>Intel Core i5</td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <fieldset>
                                                <legend>Apple Macbook
                                                Air</legend>
                                                <table>
                                                    <tr>
                                                        <td rowspan="2">
                                                        <img alt="mac" src=
                                                        "mac.jpeg" width=
                                                        "70px"></td>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>1300 USD</td>
                                                        <td>Intel Core i5</td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </td>
                                        <td>
                                            <fieldset>
                                                <legend>Apple Macbook
                                                Air</legend>
                                                <table>
                                                    <tr>
                                                        <td rowspan="2">
                                                        <img alt="mac" src=
                                                        "mac.jpeg" width=
                                                        "70px"></td>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>64GB SSD</td>
                                                    </tr>
                                                    <tr>
                                                        <td>1300 USD</td>
                                                        <td>Intel Core i5</td>
                                                    </tr>
                                                </table>
                                            </fieldset>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
                <td>Min price: <span id="span1">500</span> USD<br>
                <input id="range1" max="1000" min="0" oninput="changing(1)"step="1" type="range" value="500"><br>
                Max price: <span id="span2">1500</span>USD<br>
                <input id="range2" max="3000" min="0" oninput="changing(2)"step="1" type="range" value="1500"><br>
                Min RAM: <span id="span3">4</span>GB<br>
                <input id="range3" max="8" min="0" oninput="changing(3)" step="1" type="range" value="4"><br>
                Max Ram: <span id="span4">16</span>GB<br>
                <input id="range4" max="32" min="0" oninput="changing(4)" step="1" type="range" value="16"></td>
            </tr>
        </table>
    </form>
    <script type="text/javascript">
        function changing(number) {
            if (number == 1) {
                var span = document.getElementById('span1');
                var range = document.getElementById('range1').value;
                span.innerHTML = range;
            }
            if (number == 2) {
                var span = document.getElementById('span2');
                var range = document.getElementById('range2').value;
                span.innerHTML = range;
            }
            if (number == 3) {
                var span = document.getElementById('span3');
                var range = document.getElementById('range3').value;
                span.innerHTML = range;
            }
            if (number == 4) {
                var span = document.getElementById('span4');
                var range = document.getElementById('range4').value;
                span.innerHTML = range;
            }
        }
    </script>
</body>
</html>